<?php

namespace Drupal\screenshot_one\Plugin\AiAutomatorType;

use Drupal\ai_automator\Attribute\AiAutomatorType;
use Drupal\ai_automator\PluginInterfaces\AiAutomatorTypeInterface;
use Drupal\Core\Plugin\ContainerFactoryPluginInterface;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * The rules for an image field.
 */
#[AiAutomatorType(
  id: 'screenshot_one_image',
  label: new TranslatableMarkup('Screenshot One Image'),
  field_rule: 'image',
  target: 'file',
)]
class ScreenshotImage extends ScreenshotBase implements AiAutomatorTypeInterface, ContainerFactoryPluginInterface {

}
